Safe to use 'upgrade=true'

classic Classic list List threaded Threaded
2 messages Options
dm
Reply | Threaded
Open this post in threaded view
|

Safe to use 'upgrade=true'

dm

Is it the safe and preferred way to use 'upgrade=true' for derby db upgrade from 10.5 to 10.11?

 

This is because I read on some mailing list that this option should not be used in production environments.

 

Thanks,

Reply | Threaded
Open this post in threaded view
|

Re: Safe to use 'upgrade=true'

Rick Hillegas-3
On 8/30/18 2:31 AM, Dilip Menon wrote:

Is it the safe and preferred way to use 'upgrade=true' for derby db upgrade from 10.5 to 10.11?

 

This is because I read on some mailing list that this option should not be used in production environments.

 

Thanks,

Yes, that's the right way to upgrade. Please see the section titled "Upgrades" in the Derby Developer's Guide. On what mailing list did you see this warning and what was the issue which caused someone to give that advice?

Thanks,

-Rick